# DocumentScannerJsonConfiguration class

Implementers
  - DocumentScannerConfiguration
Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, explicitToJson: true)

## Constructors

DocumentScannerJsonConfiguration({String? version, String? screen, double? acceptedAngleScore, double? acceptedSizeScore, double? acceptedBrightnessThreshold, bool? autoSnappingButtonHidden, String? autoSnappingButtonTitle, bool? autoSnappingEnabled, double? autoSnappingSensitivity, double? autoSnappingDelay, Color? bottomBarBackgroundColor, Color? bottomBarButtonsColor, CameraModule? cameraModule, Color? cameraBackgroundColor, CameraPreviewMode? cameraPreviewMode, bool? touchToFocusEnabled, String? cameraUnavailableExplanationText, bool? cancelButtonHidden, String? cancelButtonTitle, ImageFilterType? defaultPageFilter, DocumentDetectorMode? detectorMode, String? enableCameraButtonTitle, String? enableCameraExplanationText, bool? flashButtonHidden, String? flashButtonTitle, bool? flashEnabled, bool? forceUserGuidance, bool? ignoreBadAspectRatio, double? imageScale, bool? multiPageButtonHidden, String? multiPageButtonTitle, bool? multiPageEnabled, OrientationLockMode? orientationLockMode, String? pageCounterButtonTitle, CapturePhotoQualityPrioritization? photoQualityPrioritization, Color? polygonBackgroundColor, Color? polygonBackgroundColorOK, Color? polygonColor, Color? polygonColorOK, double? polygonLineWidth, double? polygonCornerRadius, Color? polygonAutoSnapProgressColor, double? polygonAutoSnapProgressLineWidth, bool? polygonAutoSnapProgressEnabled, List<AspectRatio>? requiredAspectRatios, List<AspectRatio>? preferredAspectRatios, Color? shutterButtonAutoInnerColor, Color? shutterButtonAutoOuterColor, Color? shutterButtonIndicatorColor, Color? shutterButtonManualInnerColor, Color? shutterButtonManualOuterColor, bool? stopsCameraSessionWhenDisappeared, String? textHintBadAngles, String? textHintBadAspectRatio, String? textHintNothingDetected, String? textHintOffCenter, String? textHintOK, String? textHintTooDark, String? textHintTooNoisy, String? textHintTooSmall, Color? topBarBackgroundColor, Color? topBarButtonsActiveColor, Color? topBarButtonsInactiveColor, Color? userGuidanceBackgroundColor, Color? userGuidanceTextColor, double? userGuidanceFontSize, Size? documentImageSizeLimit, bool? shutterButtonHidden, String? textHintEnergySavingActive, int? maxNumberOfPages, bool? useButtonsAllCaps, DocumentScannerAccessibilityConfiguration? accessibilityConfiguration})

## Properties

acceptedAngleScore ↔ double?
  The minimum score in percent (0 - 100) of the perspective distortion to accept a detected document. Default is 75.0.
  getter/setter pair
acceptedBrightnessThreshold ↔ double?
  The brightness threshold to accept a detected document in the range of 0 (very dark) to 255 (very bright). If the average brightness value of the detector's input image is below this value, the status of the detection will be set to ERROR_TOO_DARK.
  getter/setter pair
acceptedSizeScore ↔ double?
  The minimum document width or height in percent (0 - 100) of the screen size to accept a detected document. Default is 80.0.
  getter/setter pair
accessibilityConfiguration ↔ DocumentScannerAccessibilityConfiguration?
  Allows you to customize the accessibility configuration for the Document Scanner UI.
  getter/setter pair
autoSnappingButtonHidden ↔ bool?
  Whether the auto-snapping toggle button is hidden.
  getter/setter pair
autoSnappingButtonTitle ↔ String?
  Title of the auto-snapping toggle button.
  getter/setter pair
autoSnappingDelay ↔ double?
  Minimum delay in seconds between two consecutive automatic image captures. iOS only.
  getter/setter pair
autoSnappingEnabled ↔ bool?
  If enabled, the document scanner will take a photo automatically when a document is detected, conditions are good and the auto-snapping time-out elapses. In this mode, the user can still tap the shutter button to snap a document.
  getter/setter pair
autoSnappingSensitivity ↔ double?
  Controls the auto-snapping speed. Sensitivity must be within the 0..1 range. A value of 1.0 triggers automatic capturing immediately, a value of 0.0 delays the automatic capturing by 3 seconds. The default value is 0.66 (2 seconds).
  getter/setter pair
bottomBarBackgroundColor ↔ Color?
  Background color of the bottom shutter bar.
  getter/setter pair
bottomBarButtonsColor ↔ Color?
  Color of the titles of all buttons in the bottom shutter bar (cancel button, etc.) as well as the camera permission prompt button.
  getter/setter pair
cameraBackgroundColor ↔ Color?
  Color of the camera background (relevant only when the camera preview mode is CameraPreviewMode.FIT_IN).
  getter/setter pair
cameraModule ↔ CameraModule?
  Preferred camera module (default: back camera).
  getter/setter pair
cameraPreviewMode ↔ CameraPreviewMode?
  Preview mode of the camera. Fit-in or fill-in.
  getter/setter pair
cameraUnavailableExplanationText ↔ String?
  String displayed on the label indicating that the app is in split mode and needs to go fullscreen to work with the camera. iOS only.
  getter/setter pair
cancelButtonHidden ↔ bool?
  Whether the cancel button is hidden. iOS only.
  getter/setter pair
cancelButtonTitle ↔ String?
  Title of the cancel button.
  getter/setter pair
defaultPageFilter ↔ ImageFilterType?
  Default image filter type for new document pages. Defaults to ImageFilterTypeNone.
  getter/setter pair
detectorMode ↔ DocumentDetectorMode?
  Document detector mode to be used for document outline detection. Defaults to ML_BASED. iOS only. For Android, use the Scanbot SDK initializer.
  getter/setter pair
documentImageSizeLimit ↔ Size?
  Limits the maximum size of the document image. If its width or height are zero, this property is effectively ignored.
  getter/setter pair
enableCameraButtonTitle ↔ String?
  Title of the button that opens the screen in which users can allow the app's usage of the camera.
  getter/setter pair
enableCameraExplanationText ↔ String?
  Text that will be displayed when the app is not allowed to use the camera, prompting the user to enable the usage of the camera.
  getter/setter pair
flashButtonHidden ↔ bool?
  Whether the flash toggle button is hidden.
  getter/setter pair
flashButtonTitle ↔ String?
  Title of the flash toggle button.
  getter/setter pair
flashEnabled ↔ bool?
  Whether the flash should be initially enabled. The default value is false.
  getter/setter pair
forceUserGuidance ↔ bool?
  Whether to show the user guidance elements if auto-snapping is disabled.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
ignoreBadAspectRatio ↔ bool?
  Whether to ignore the OK_BUT_BAD_ASPECT_RATIO detection status. By default BadAspectRatio is not ignored.
  getter/setter pair
imageScale ↔ double?
  Factor for scaling images. Must be within the 0..1 range. A factor of 1 means that the resulting images retain their original size. When the factor is less than 1, resulting images will be made smaller by that factor. By default the scale is 1.
  getter/setter pair
maxNumberOfPages ↔ int?
  Maximum number of pages to scan. Ignored when set to null or when `multiPageEnabled` is false. Default value is null.
  getter/setter pair
multiPageButtonHidden ↔ bool?
  Whether the multi-page toggle button is hidden.
  getter/setter pair
multiPageButtonTitle ↔ String?
  Title of the multi-page mode toggle button.
  getter/setter pair
multiPageEnabled ↔ bool?
  Controls initial multi-page mode. When enabled, the user can take multiple document photos before closing the screen by tapping the page counter button. When disabled, the screen will be closed immediately after the first document photo is made. The default value is false.
  getter/setter pair
orientationLockMode ↔ OrientationLockMode?
  Lock mode of the UI's orientation.
  getter/setter pair
pageCounterButtonTitle ↔ String?
  Title suffix of the button that finishes the document scanning process when multi-page scanning is enabled. The button's title has the format "# Pages", where '#' shows the number of images captured up to now and the suffix "Pages" is set using this method.
  getter/setter pair
photoQualityPrioritization ↔ CapturePhotoQualityPrioritization?
  Prioritization of still image quality and capturing speed. Defaults to CapturePhotoQualityPrioritization.BALANCED. If you experience lots of blurry still images, try setting this property to CapturePhotoQualityPrioritization.QUALITY. iOS only.
  getter/setter pair
polygonAutoSnapProgressColor ↔ Color?
  Stroke color of the polygon auto-snap progress animation. Default is green. Cannot be nil.
  getter/setter pair
polygonAutoSnapProgressEnabled ↔ bool?
  Whether the polygon auto-snap progress animation is enabled. Default is true.
  getter/setter pair
polygonAutoSnapProgressLineWidth ↔ double?
  Line width of the polygon auto-snap progress animation. Default is 5.0.
  getter/setter pair
polygonBackgroundColor ↔ Color?
  Background color of the detected document outline when the document's angle, size or aspect ratio is not yet sufficiently good. (All net.doo.snap.lib.detector.DetectionResult with OK_BUT_XXX.)
  getter/setter pair
polygonBackgroundColorOK ↔ Color?
  Background color of the detected document outline when the document's angle, size and aspect ratio are sufficiently good.
  getter/setter pair
polygonColor ↔ Color?
  Color of the detected document outline when the document's angle, size or aspect ratio is not yet sufficiently good. (All detection statuses in net.doo.snap.lib.detector.DetectionResult that have the OK_BUT_XXX prefix.)
  getter/setter pair
polygonColorOK ↔ Color?
  Color of the detected document outline when the document's angle, size and aspect ratio are sufficiently good.
  getter/setter pair
polygonCornerRadius ↔ double?
  Radius to use when drawing the rounded corners of the polygon. Default is 8.0.
  getter/setter pair
polygonLineWidth ↔ double?
  Width of the detected document outline.
  getter/setter pair
preferredAspectRatios ↔ List<AspectRatio>?
  Optional array of aspect ratios the documents should preferably conform to.
  getter/setter pair
requiredAspectRatios ↔ List<AspectRatio>?
  Optional array of aspect ratios the documents must conform to.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
screen ↔ String?
  Screen for which the configuration object should be applied.
  getter/setter pair
shutterButtonAutoInnerColor ↔ Color?
  Foreground color of the shutter button in auto-snapping mode.
  getter/setter pair
shutterButtonAutoOuterColor ↔ Color?
  Background color of the shutter button in auto-snapping mode.
  getter/setter pair
shutterButtonHidden ↔ bool?
  Whether to hide the shutter button. Defaults to false. If set to true, auto-snapping is enabled and the property autoSnappingEnabled of the behavior configuration will have no effect. In addition, the auto-snapping button will be hidden.
  getter/setter pair
shutterButtonIndicatorColor ↔ Color?
  Indicator color of the shutter button in auto-snapping mode. iOS only.
  getter/setter pair
shutterButtonManualInnerColor ↔ Color?
  Foreground color of the shutter button in manual mode.
  getter/setter pair
shutterButtonManualOuterColor ↔ Color?
  Background color of the shutter button in manual mode.
  getter/setter pair
stopsCameraSessionWhenDisappeared ↔ bool?
  If true, the camera session will be stopped entirely when the receiver disappears and restarted when the receiver reappears. Else, the delivery of video frames will be paused. Defaults to true. iOS only.
  getter/setter pair
textHintBadAngles ↔ String?
  Text hint that will be shown when the current detection status is OK_BUT_BAD_ANGLES.
  getter/setter pair
textHintBadAspectRatio ↔ String?
  Text hint that will be shown when the current detection status is OK_BUT_BAD_ASPECT_RATIO.
  getter/setter pair
textHintEnergySavingActive ↔ String?
  Text hint that will be shown when the scanner's energy saver is activated. iOS only.
  getter/setter pair
textHintNothingDetected ↔ String?
  Text hint that will be shown when the current detection status is ERROR_NOTHING_DETECTED.
  getter/setter pair
textHintOffCenter ↔ String?
  Text hint that will be shown when a document was detected but its center is too far away from the image center.
  getter/setter pair
textHintOK ↔ String?
  Text hint that will be shown when the current detection status is OK.
  getter/setter pair
textHintTooDark ↔ String?
  Text hint that will be shown when the current detection status is ERROR_TOO_DARK.
  getter/setter pair
textHintTooNoisy ↔ String?
  Text hint that will be shown when the current detection status is ERROR_TOO_NOISY.
  getter/setter pair
textHintTooSmall ↔ String?
  Text hint that will be shown when the current detection status is OK_BUT_TOO_SMALL.
  getter/setter pair
topBarBackgroundColor ↔ Color?
  Background color of the top toolbar.
  getter/setter pair
topBarButtonsActiveColor ↔ Color?
  Color of all active toggle buttons in the toolbar.
  getter/setter pair
topBarButtonsInactiveColor ↔ Color?
  Color of all inactive toggle buttons in the toolbar.
  getter/setter pair
touchToFocusEnabled ↔ bool?
  Whether touch-to-focus is enabled on camera preview. Enabled by default. Android only.
  getter/setter pair
useButtonsAllCaps ↔ bool?
  Controls whether buttons should use the all-capitals style as defined by the Android Material Design. Defaults to true. Android only.
  getter/setter pair
userGuidanceBackgroundColor ↔ Color?
  Background color of the user guidance hints.
  getter/setter pair
userGuidanceFontSize ↔ double?
  Font size of the user guidance. Default is 17.0.
  getter/setter pair
userGuidanceTextColor ↔ Color?
  Text color of the user guidance hints.
  getter/setter pair
version ↔ String?
  Version of the configuration object.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited